Subject: Re: [bitcoin-dev] Revisiting NODE_BLOOM: Proposed BIP

From: Andreas Schildbach <[email-masked]>
Date: Fri, 21 Aug 2015 10:31:48 +0200

On 08/21/2015 07:55 AM, Peter Todd via bitcoin-dev wrote:

>     2) Bloom filter usage has declined significantly, as lite-SPV clients
>     are moving towards using centralized, trusted, servers run by the wallet
>     authors. For instance
>     [Mycelium](https://github.com/mycelium-com/wallet),
>     [GreenBits](https://github.com/greenaddress/GreenBits),
>     [AirBitz](https://www.reddit.com/r/Bitcoin/comments/3etohn/whats_wrong_with_breadwallet/ctirou5),
>     and [Electrum](https://electrum.org/#home) all fall in this category.

None of these wallets (except Electrum maybe) could gain a significant
amount of new users during the last year or so, if you look at the stats
of Google Play.

Specifically Mycelium lost a significant amount of users during the last
stress test when their centralized infrastructure was overloaded. As a
consenquence, their developer announced on Reddit to try moving the
wallet to SPV.

https://www.reddit.com/r/Bitcoin/comments/3db7qr/mycelium_servers_down/